package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsChange;
import java.util.List;

public interface IPmsChangeService {
    /**
     * 查询变更列表
     */
    List<PmsChange> selectList(PmsChange change);

    /**
     * 根据主键查询变更
     */
    PmsChange selectById(Long id);

    /**
     * 新增变更
     */
    int insert(PmsChange change);

    /**
     * 修改变更
     */
    int update(PmsChange change);

    /**
     * 删除变更
     */
    int deleteById(Long id);

    /**
     * 批量删除变更
     */
    int deleteByIds(Long[] ids);
}
